<?php
/**
*  This program is free software; you can redistribute it and/or modify
*  it
*
*  This program is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
*/

$lang['BACK'] = 'Back';
$lang['SUBMIT'] = 'Submit';
$lang['Y'] = 'Yes';
$lang['N'] = 'No';
$lang['AND'] = 'and';
$lang['OR'] = 'or';
$lang['CONT'] = 'Continue';

$lang['MAIN_TITLE'] = 'Catalogue of sites';
$lang['LOGIN'] = 'Edit site';
$lang['REGISTRATION'] = 'Add new site';
$lang['LOGOUT'] = 'Logout [%s]';
$lang['SEARCH'] = 'Search';
$lang['STAT'] = 'Statistics';
$lang['FEEDBACK'] = 'Feedback';
$lang['ADV'] = 'Advertising';

$lang['RULES'] = 'Rules';
$lang['RULES_QUES'] = 'Accept?';

$lang['ID'] = 'Identifier (ID)';
$lang['PASSWORD'] = 'Password';
$lang['TR'] = 'Transliteration';
$lang['FORGOT'] = 'Forgot password?';

$lang['PASSWORD_RECOVERY'] = 'Password recovery';

$lang['SITE'] = 'Site';
$lang['TITLE'] = 'Title';
$lang['DESCRIPTION'] = 'Description';
$lang['SECTION'] = 'Section';
$lang['REG_SUBMIT'] = 'Add';
$lang['REG_SUCCESS'] = 'Site was added successfully. Code: %s';

$lang['EDIT_WARNING'] = 'Attention! After update your site must pass check again';

$lang['MESSAGE'] = 'Message';
$lang['CODE'] = 'Code form the picture';
$lang['PIC_IS_NOT_LOAD'] = 'Other formats of the picture';

$lang['PASSWD_RECOVERY_SUCCESS_STEP1'] = 'Please check e-mail %s for details';
$lang['PASSWD_RECOVERY_SUCCESS_STEP2'] = 'Check email %s to find a new password';

$lang['SEARCH_QUERY'] = 'Search for keywords';
$lang['SEARCH_LOGIC'] = 'Search for...';
$lang['SEARCH_AND'] = 'All terms';
$lang['SEARCH_OR'] = 'Any terms';
$lang['SEARCH_SECTIONS'] = 'Sections';
$lang['SEARCH_RESULTS'] = 'You are searchig for %s<br />Matches: %d';
$lang['SEARCH_ANOTHER'] = 'Search again';
$lang['SEARCH_WORD'] = '«%s»';

$lang['IN'] = 'In';
$lang['OUT'] = 'Out';
$lang['FOOTNOTE'] = '* Today/Total';

$lang['SITES'] = 'Quantity of sites';
$lang['ACTIVE_SITES'] = 'Active sites';
$lang['UNCHECKED'] = 'Unchecked';
$lang['TOTAL'] = 'Total';
$lang['TODAY'] = 'Today';
$lang['MOBILE_TRAFFIC'] = 'Mobile traffic';
$lang['OTHER'] = 'Unknown providers';
$lang['STAT_DAY'] = 'Stat. per day';

$lang['TOP'] = 'TOP of sites';

$lang['ADULT_CONTENT_WARNING'] = 'This section contains adult content. Are you 18 years old?';

$lang['ACCOUNT_UPDATE_SUCCESS'] = 'Account updated. Site must pass check by moderator.';

$lang['CHANGE_PASSWORD'] = 'Change password';
$lang['OLD_PASSWD'] = 'Current pass';
$lang['NEW_PASSWD'] = 'New pass';
$lang['RPASSWD'] = 'Retype new pass';
$lang['CH_PASSWORD_SUCCESS'] = 'Password was changed successfully';

$lang['ONLINE'] = 'Online';

$lang['ADV_MESSAGE'] = '';

$lang['ERR_SITE_DNE'] = 'Site with identifier %d does not exit in this catalogue or it was banned';
$lang['ERR_LOGIN_FAILED'] = 'Invalid password';
$lang['ERR_EMPTY_ID'] = 'Empty identifier';
$lang['ERR_EMPTY_PASSWORD'] = 'Empty password';

$lang['ERR_INVALID_SECTION_ID'] = 'Invalid section';

$lang['ERR_SITE_AE'] = 'Site http://%s/ already exists in thid catalogue with id %d';
$lang['ERR_SITE_BANNED'] = 'Site http://%s/ was banned';
$lang['ERR_BANNED'] = 'You do not have permission to register sites in this catalogue';
$lang['ERR_MODERATING'] = 'Site http://%s/ passing check now. You should place this code on main page of site: %s';

$lang['ERR_CAPTCHA'] = 'Invalid code from the picture';
$lang['ERR_CAPTCHA_TOO_MANY_FAILURES'] = 'Code on the picture updated';
$lang['ERR_EMPTY_EMAIL'] = 'Empty e-mail';
$lang['ERR_INCORRECT_EMAIL'] = 'Incorrect e-mail';
$lang['ERR_EMPTY_MESSAGE'] = 'Empty message';
$lang['ERR_TOO_LARGE_MESSAGE'] = 'Message is too large';
$lang['ERR_ALREADY_SENT_MESSAGE'] = 'Message was send successfully';
$lang['ERR_MAIL_FAILURE'] = 'Sorry, message was not send';

$lang['ERR_INVALID_SITE'] = 'Invalid site address';
$lang['ERR_EMPTY_DESCRIPTION'] = 'Empty description';
$lang['ERR_SECTION_LIST_IS_EMPTY'] = 'Section list is empty';

$lang['ERR_KEY_ALREADY_EXIST'] = 'Check e-mail %s.';
$lang['ERR_RECOVERY_INVALID_EMAIL'] = 'Invalid e-mail for site with identifier %d';
$lang['ERR_INVALID_RECOVERY_KEY'] = 'Key does not exist';

$lang['ERR_SEARCH_EMPTY_QUERY'] = 'Empty query';
$lang['ERR_SEARCH_INVALID_SECTION_LIST'] = 'Empty section list for search';
$lang['ERR_SEARCH_NO_RESULTS'] = 'You are searching for %s<br />No matches';

$lang['ERR_TRY_TO_CHANGE_HOST'] = 'You can not change host (domain)!';

$lang['ERR_CH_PASSWORD_EMPTY_FIELDS'] = 'You should fill all fields';
$lang['ERR_CH_PASSWORD_INVALID_OLD'] = 'Invalid current password';
$lang['ERR_CH_PASSWORD_INVALID_RPASSWD'] = 'The passwords you entered did not match';
?>